## 0ad 0.0.22

=== libraries/source/fcollada/src/Makefile ===
OS_ARCH := $(shell uname -s)

ifeq ($(OS_ARCH),Darwin)
	PIC_FLAGS ?= -fPIC
else
	OS_DEFINE ?= -DLINUX
	PIC_FLAGS ?= -fpic
endif

CXX ?= g++
CXXFLAGS += -fvisibility=hidden -W -Wall -Wno-unused-parameter -Wno-unused-function $(OS_DEFINE) $(PIC_FLAGS) $(CPPFLAGS)
CXXFLAGS_DEBUG := -O0 -g -D_DEBUG -DRETAIL
CXXFLAGS_RELEASE := -O2 -DNDEBUG -DRETAIL
CXXFLAGS_TEST := -O0 -g -D_DEBUG
LIBS += `pkg-config libxml-2.0 --libs`
INCLUDES += -IFCollada `pkg-config libxml-2.0 --cflags`
INCLUDES_TEST := -IFCollada/FColladaTest $(INCLUDES)

# FCollada is not aliasing-safe, so disallow dangerous optimisations
# (TODO: It'd be nice to fix FCollada, but that looks hard)
CXXFLAGS += -fno-strict-aliasing

SOURCE = \
	FCollada/FCollada.cpp \
	FCollada/FColladaPlugin.cpp \
	FCollada/FCDocument/FCDAnimated.cpp \
	FCollada/FCDocument/FCDAnimationChannel.cpp \
	FCollada/FCDocument/FCDAnimationClip.cpp \
	FCollada/FCDocument/FCDAnimationClipTools.cpp \
	FCollada/FCDocument/FCDAnimation.cpp \
	FCollada/FCDocument/FCDAnimationCurve.cpp \
	FCollada/FCDocument/FCDAnimationCurveTools.cpp \
	FCollada/FCDocument/FCDAnimationKey.cpp \
	FCollada/FCDocument/FCDAnimationMultiCurve.cpp \
	FCollada/FCDocument/FCDAsset.cpp \
	FCollada/FCDocument/FCDCamera.cpp \
	FCollada/FCDocument/FCDController.cpp \
	FCollada/FCDocument/FCDControllerInstance.cpp \
	FCollada/FCDocument/FCDControllerTools.cpp \
	FCollada/FCDocument/FCDEffectCode.cpp \
	FCollada/FCDocument/FCDEffect.cpp \
	FCollada/FCDocument/FCDEffectParameter.cpp \
	FCollada/FCDocument/FCDEffectParameterFactory.cpp \
	FCollada/FCDocument/FCDEffectParameterSampler.cpp \
	FCollada/FCDocument/FCDEffectParameterSurface.cpp \
	FCollada/FCDocument/FCDEffectPass.cpp \
	FCollada/FCDocument/FCDEffectPassShader.cpp \
	FCollada/FCDocument/FCDEffectPassState.cpp \
	FCollada/FCDocument/FCDEffectProfile.cpp \
	FCollada/FCDocument/FCDEffectProfileFX.cpp \
	FCollada/FCDocument/FCDEffectStandard.cpp \
	FCollada/FCDocument/FCDEffectTechnique.cpp \
	FCollada/FCDocument/FCDEffectTools.cpp \
	FCollada/FCDocument/FCDEmitter.cpp \
	FCollada/FCDocument/FCDEmitterInstance.cpp \
	FCollada/FCDocument/FCDEmitterObject.cpp \
	FCollada/FCDocument/FCDEmitterParticle.cpp \
	FCollada/FCDocument/FCDEntity.cpp \
	FCollada/FCDocument/FCDEntityInstance.cpp \
	FCollada/FCDocument/FCDEntityReference.cpp \
	FCollada/FCDocument/FCDExternalReferenceManager.cpp \
	FCollada/FCDocument/FCDExtra.cpp \
	FCollada/FCDocument/FCDForceDeflector.cpp \
	FCollada/FCDocument/FCDForceDrag.cpp \
	FCollada/FCDocument/FCDForceField.cpp \
	FCollada/FCDocument/FCDForceGravity.cpp \
	FCollada/FCDocument/FCDForcePBomb.cpp \
	FCollada/FCDocument/FCDForceWind.cpp \
	FCollada/FCDocument/FCDGeometry.cpp \
	FCollada/FCDocument/FCDGeometryInstance.cpp \
	FCollada/FCDocument/FCDGeometryMesh.cpp \
	FCollada/FCDocument/FCDGeometryNURBSSurface.cpp \
	FCollada/FCDocument/FCDGeometryPolygons.cpp \
	FCollada/FCDocument/FCDGeometryPolygonsInput.cpp \
	FCollada/FCDocument/FCDGeometryPolygonsTools.cpp \
	FCollada/FCDocument/FCDGeometrySource.cpp \
	FCollada/FCDocument/FCDGeometrySpline.cpp \
	FCollada/FCDocument/FCDImage.cpp \
	FCollada/FCDocument/FCDLibrary.cpp \
	FCollada/FCDocument/FCDLight.cpp \
	FCollada/FCDocument/FCDLightTools.cpp \
	FCollada/FCDocument/FCDMaterial.cpp \
	FCollada/FCDocument/FCDMaterialInstance.cpp \
	FCollada/FCDocument/FCDMorphController.cpp \
	FCollada/FCDocument/FCDObject.cpp \
	FCollada/FCDocument/FCDObjectWithId.cpp \
	FCollada/FCDocument/FCDocument.cpp \
	FCollada/FCDocument/FCDocumentTools.cpp \
	FCollada/FCDocument/FCDParameterAnimatable.cpp \
	FCollada/FCDocument/FCDParticleModifier.cpp \
	FCollada/FCDocument/FCDPhysicsAnalyticalGeometry.cpp \
	FCollada/FCDocument/FCDPhysicsForceFieldInstance.cpp \
	FCollada/FCDocument/FCDPhysicsMaterial.cpp \
	FCollada/FCDocument/FCDPhysicsModel.cpp \
	FCollada/FCDocument/FCDPhysicsModelInstance.cpp \
	FCollada/FCDocument/FCDPhysicsRigidBody.cpp \
	FCollada/FCDocument/FCDPhysicsRigidBodyInstance.cpp \
	FCollada/FCDocument/FCDPhysicsRigidBodyParameters.cpp \
	FCollada/FCDocument/FCDPhysicsRigidConstraint.cpp \
	FCollada/FCDocument/FCDPhysicsRigidConstraintInstance.cpp \
	FCollada/FCDocument/FCDPhysicsScene.cpp \
	FCollada/FCDocument/FCDPhysicsShape.cpp \
	FCollada/FCDocument/FCDPlaceHolder.cpp \
	FCollada/FCDocument/FCDSceneNode.cpp \
	FCollada/FCDocument/FCDSceneNodeIterator.cpp \
	FCollada/FCDocument/FCDSceneNodeTools.cpp \
	FCollada/FCDocument/FCDSkinController.cpp \
	FCollada/FCDocument/FCDTargetedEntity.cpp \
	FCollada/FCDocument/FCDTexture.cpp \
	FCollada/FCDocument/FCDTransform.cpp \
	FCollada/FCDocument/FCDVersion.cpp \
	FCollada/FMath/FMAllocator.cpp \
	FCollada/FMath/FMAngleAxis.cpp \
	FCollada/FMath/FMColor.cpp \
	FCollada/FMath/FMInterpolation.cpp \
	FCollada/FMath/FMLookAt.cpp \
	FCollada/FMath/FMMatrix33.cpp \
	FCollada/FMath/FMMatrix44.cpp \
	FCollada/FMath/FMQuaternion.cpp \
	FCollada/FMath/FMRandom.cpp \
	FCollada/FMath/FMSkew.cpp \
	FCollada/FMath/FMVector3.cpp \
	FCollada/FMath/FMVolume.cpp \
	FCollada/FUtils/FUAssert.cpp \
	FCollada/FUtils/FUBase64.cpp \
	FCollada/FUtils/FUBoundingBox.cpp \
	FCollada/FUtils/FUBoundingSphere.cpp \
	FCollada/FUtils/FUCrc32.cpp \
	FCollada/FUtils/FUCriticalSection.cpp \
	FCollada/FUtils/FUDaeEnum.cpp \
	FCollada/FUtils/FUDateTime.cpp \
	FCollada/FUtils/FUDebug.cpp \
	FCollada/FUtils/FUError.cpp \
	FCollada/FUtils/FUErrorLog.cpp \
	FCollada/FUtils/FUFile.cpp \
	FCollada/FUtils/FUFileManager.cpp \
	FCollada/FUtils/FULogFile.cpp \
	FCollada/FUtils/FUObject.cpp \
	FCollada/FUtils/FUObjectType.cpp \
	FCollada/FUtils/FUParameter.cpp \
	FCollada/FUtils/FUParameterizable.cpp \
	FCollada/FUtils/FUPluginManager.cpp \
	FCollada/FUtils/FUSemaphore.cpp \
	FCollada/FUtils/FUStringBuilder.cpp \
	FCollada/FUtils/FUStringConversion.cpp \
	FCollada/FUtils/FUSynchronizableObject.cpp \
	FCollada/FUtils/FUThread.cpp \
	FCollada/FUtils/FUTracker.cpp \
	FCollada/FUtils/FUUniqueStringMap.cpp \
	FCollada/FUtils/FUUri.cpp \
	FCollada/FUtils/FUXmlDocument.cpp \
	FCollada/FUtils/FUXmlParser.cpp \
	FCollada/FUtils/FUXmlWriter.cpp \
	FColladaPlugins/FArchiveXML/FArchiveXML.cpp \
	FColladaPlugins/FArchiveXML/FAXAnimationExport.cpp \
	FColladaPlugins/FArchiveXML/FAXAnimationImport.cpp \
	FColladaPlugins/FArchiveXML/FAXCameraExport.cpp \
	FColladaPlugins/FArchiveXML/FAXCameraImport.cpp \
	FColladaPlugins/FArchiveXML/FAXColladaParser.cpp \
	FColladaPlugins/FArchiveXML/FAXColladaWriter.cpp \
	FColladaPlugins/FArchiveXML/FAXControllerExport.cpp \
	FColladaPlugins/FArchiveXML/FAXControllerImport.cpp \
	FColladaPlugins/FArchiveXML/FAXEmitterExport.cpp \
	FColladaPlugins/FArchiveXML/FAXEmitterImport.cpp \
	FColladaPlugins/FArchiveXML/FAXEntityExport.cpp \
	FColladaPlugins/FArchiveXML/FAXEntityImport.cpp \
	FColladaPlugins/FArchiveXML/FAXForceFieldExport.cpp \
	FColladaPlugins/FArchiveXML/FAXForceFieldImport.cpp \
	FColladaPlugins/FArchiveXML/FAXGeometryExport.cpp \
	FColladaPlugins/FArchiveXML/FAXGeometryImport.cpp \
	FColladaPlugins/FArchiveXML/FAXImportLinking.cpp \
	FColladaPlugins/FArchiveXML/FAXInstanceExport.cpp \
	FColladaPlugins/FArchiveXML/FAXInstanceImport.cpp \
	FColladaPlugins/FArchiveXML/FAXLightExport.cpp \
	FColladaPlugins/FArchiveXML/FAXLightImport.cpp \
	FColladaPlugins/FArchiveXML/FAXMaterialExport.cpp \
	FColladaPlugins/FArchiveXML/FAXMaterialImport.cpp \
	FColladaPlugins/FArchiveXML/FAXPhysicsExport.cpp \
	FColladaPlugins/FArchiveXML/FAXPhysicsImport.cpp \
	FColladaPlugins/FArchiveXML/FAXSceneExport.cpp \
	FColladaPlugins/FArchiveXML/FAXSceneImport.cpp \

TEST_SOURCE = \
	FCollada/FMath/FMArrayTest.cpp \
	FCollada/FMath/FMQuaternionTest.cpp \
	FCollada/FMath/FMTreeTest.cpp \
	FCollada/FUtils/FUBoundingTest.cpp \
	FCollada/FUtils/FUCrc32Test.cpp \
	FCollada/FUtils/FUEventTest.cpp \
	FCollada/FUtils/FUFileManagerTest.cpp \
	FCollada/FUtils/FUFunctorTest.cpp \
	FCollada/FUtils/FUObjectTest.cpp \
	FCollada/FUtils/FUStringBuilderTest.cpp \
	FCollada/FUtils/FUStringConversionTest.cpp \
	FCollada/FUtils/FUStringTest.cpp \
	FCollada/FUtils/FUTestBed.cpp \
	FCollada/FUtils/FUUniqueStringMapTest.cpp \
	FCollada/FColladaTest/FCTest.cpp \
	FCollada/FColladaTest/FCTestAnimation.cpp \
	FCollada/FColladaTest/FCTestArchiving.cpp \
	FCollada/FColladaTest/FCTestController.cpp \
	FCollada/FColladaTest/FCTestGeometryPolygonsTools.cpp \
	FCollada/FColladaTest/FCTestParameters.cpp \
	FCollada/FColladaTest/FCTestSceneGraph.cpp \
	FCollada/FColladaTest/FCTestAssetManagement/FCTAMCrossCloning.cpp \
	FCollada/FColladaTest/FCTestAssetManagement/FCTAssetManagement.cpp \
	FCollada/FColladaTest/FCTestExportImport/FCTEIAnimation.cpp \
	FCollada/FColladaTest/FCTestExportImport/FCTEICamera.cpp \
	FCollada/FColladaTest/FCTestExportImport/FCTEIEmitter.cpp \
	FCollada/FColladaTest/FCTestExportImport/FCTEIExtra.cpp \
	FCollada/FColladaTest/FCTestExportImport/FCTEIGeometry.cpp \
	FCollada/FColladaTest/FCTestExportImport/FCTEILight.cpp \
	FCollada/FColladaTest/FCTestExportImport/FCTEIMaterial.cpp \
	FCollada/FColladaTest/FCTestExportImport/FCTEIPhysics.cpp \
	FCollada/FColladaTest/FCTestExportImport/FCTEIVisualScene.cpp \
	FCollada/FColladaTest/FCTestExportImport/FCTestExportImport.cpp \
	FCollada/FColladaTest/FCTestXRef/FCTestXRef.cpp \
	FCollada/FColladaTest/FCTestXRef/FCTestXRefAcyclic.cpp \
	FCollada/FColladaTest/FCTestXRef/FCTestXRefSimple.cpp \
	FCollada/FColladaTest/FCTestXRef/FCTestXRefTree.cpp \

OBJECTS_DEBUG = $(addprefix output/debug/,$(SOURCE:.cpp=.o))
OBJECTS_RELEASE = $(addprefix output/release/,$(SOURCE:.cpp=.o))
OBJECTS_TEST = $(addprefix output/test/,$(SOURCE:.cpp=.o) $(TEST_SOURCE:.cpp=.o))
OBJECTS_ALL = $(OBJECTS_DEBUG) $(OBJECTS_RELEASE) $(OBJECTS_TEST)

all: output/libFColladaSD.a output/libFColladaSR.a install

output_dirs:
	bash -c 'mkdir -p output/{debug,release,test}/{FCollada/{FCDocument,FMath,FUtils,FColladaTest/{FCTestAssetManagement,FCTestExportImport,FCTestXRef}},FColladaPlugins/FArchiveXML}'

test: FCollada/FColladaTest/ output/FColladaTest
	( cd FCollada/FColladaTest/ ; ../../output/FColladaTest )
	cat FCollada/FColladaTest/FColladaTestLog.txt

output/libFColladaSD.a: $(OBJECTS_DEBUG) | output_dirs
	@echo "$@"
	@ar -cr $@ $(OBJECTS_DEBUG); ranlib $@

output/libFColladaSR.a: $(OBJECTS_RELEASE) | output_dirs
	@echo "$@"
	@ar -cr $@ $(OBJECTS_RELEASE); ranlib $@

output/FColladaTest: $(OBJECTS_TEST) | output_dirs
	$(CXX) -o $@ $(LDFLAGS) $(OBJECTS_TEST) $(LIBS)

install: output/libFColladaSD.a output/libFColladaSR.a
	cp output/libFColladaSD.a ../lib/libFColladaSD.a
	cp output/libFColladaSR.a ../lib/libFColladaSR.a

dfile = $(@:.o=.d)
Pfile = $(@:.o=.P)
gendep = \
	@cp $(dfile) $(Pfile) && \
		sed -e 's/\#.*//' -e 's/^[^:]*: *//' -e 's/ *\\$$//' \
		    -e '/^$$/ d' -e 's/$$/ :/' < $(dfile) >> $(Pfile) && \
		rm -f $(dfile)
output/debug/%.o: %.cpp | output_dirs
	@echo "$<"
	$(CXX) $(CXXFLAGS) $(CXXFLAGS_DEBUG) $(INCLUDES) -MD -MF $(dfile) -c $< -o $@
	$(gendep)
output/release/%.o: %.cpp | output_dirs
	@echo "$<"
	$(CXX) $(CXXFLAGS) $(CXXFLAGS_RELEASE) $(INCLUDES) -MD -MF $(dfile) -c $< -o $@
	$(gendep)
output/test/%.o: %.cpp | output_dirs
	@echo "$<"
	$(CXX) $(CXXFLAGS) $(CXXFLAGS_TEST) $(INCLUDES_TEST) -MD -MF $(dfile) -c $< -o $@
	$(gendep)

clean:
	rm -rf output

-include $(OBJECTS_ALL:.o=.P)

.SILENT:

=== libraries/source/nvtt/src/src/nvcore/CMakeLists.txt ===
PROJECT(nvcore)
ADD_SUBDIRECTORY(poshlib)

SET(CORE_SRCS
	nvcore.h
	Ptr.h
	BitArray.h
	Memory.h
	Memory.cpp
	Debug.h
	Debug.cpp
	Containers.h
	StrLib.h
	StrLib.cpp
	Stream.h
	StdStream.h
	TextReader.h
	TextReader.cpp
	TextWriter.h
	TextWriter.cpp
	Radix.h
	Radix.cpp
	Library.h
	Library.cpp)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})

# targets
ADD_DEFINITIONS(-DNVCORE_EXPORTS)

IF(UNIX)
	SET(LIBS ${LIBS} ${CMAKE_DL_LIBS})
ENDIF(UNIX)

IF(NVCORE_SHARED)
	ADD_DEFINITIONS(-DNVCORE_SHARED=1)
	ADD_LIBRARY(nvcore SHARED ${CORE_SRCS})
ELSE(NVCORE_SHARED)
	ADD_LIBRARY(nvcore ${CORE_SRCS})
ENDIF(NVCORE_SHARED)

TARGET_LINK_LIBRARIES(nvcore ${LIBS})

INSTALL(TARGETS nvcore
	RUNTIME DESTINATION ${BINDIR}
	LIBRARY DESTINATION ${LIBDIR}
	ARCHIVE DESTINATION ${LIBDIR})

=== libraries/source/nvtt/src/src/nvcore/poshlib/CMakeLists.txt ===

SET(POSHLIB_SRCS
	posh.c
	posh.h)

ADD_LIBRARY(posh STATIC ${POSHLIB_SRCS})

=== debian/changelog ===
0ad (0.0.22-4) unstable; urgency=medium

  * Create empty directory not stored in git
  * Add description to a quilt patch
  * Enable parallel build
  * Use debhelper version 10 (instead of 9)
  * Migrate the repository from SVN to GIT

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 10 Jan 2018 16:27:16 +0100

0ad (0.0.22-3.1) unstable; urgency=medium

  * Non-maintainer upload with maintainers permission.
  * Add armhf back to architecture list.
  * Fix "0ad FTBFS with on armhf with gcc 7: error: call of overloaded
    'abs(unsigned int)' is ambiguous" (Closes: #879071)

 -- Peter Michael Green <plugwash@debian.org>  Tue, 21 Nov 2017 00:15:10 +0000

0ad (0.0.22-3) unstable; urgency=medium

  * remove support of kfreebsd-amd64 and kfreebsd-i386 since auto test fails
    for 0ad alpha 22 and then 0ad FTBFS.
  * debian/source/lintian-overrides: remove unused-override
    outdated-autotools-helper-file.
    Reported by lintian.
  * debian/rules: enable hardening=+all

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 04 Nov 2017 11:04:26 +0100

0ad (0.0.22-2) unstable; urgency=medium

  * Fix "0ad FTBFS with on armhf with gcc 7: error: call of overloaded
    'abs(unsigned int)' is ambiguous" by removing support of armhf
    (Closes: #879071)
  * remove support of arm64 because of FTBFS in spidermonkey/mozjs-38.0.0
    https://buildd.debian.org/status/fetch.php?pkg=0ad&arch=arm64&ver=0.0.22-1&stamp=1508351579&raw=0

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 27 Oct 2017 16:22:15 +0200

0ad (0.0.22-1) unstable; urgency=medium

  * New upstream release.
  * Fix "New Release: 0 A.D. Alpha 22 Venustas" (Closes: #872654)
  * Export SHELL to make mozjs-38 build using debuild(1)

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 18 Oct 2017 15:33:17 +0200

=== debian/control ===
Source: 0ad
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Vincent Cheng <vcheng@debian.org>,
  Ludovic Rousseau <rousseau@debian.org>
Build-Depends:
 autoconf,
 debhelper (>= 10),
 dpkg-dev (>= 1.15.5),
 libboost-dev,
 libboost-filesystem-dev,
 libcurl4-gnutls-dev | libcurl4-dev,
 libenet-dev (>= 1.3),
 libgloox-dev (>= 1.0.9),
 libicu-dev,
 libminiupnpc-dev (>= 1.6),
 libnspr4-dev,
 libnvtt-dev (>= 2.0.8-1+dfsg-4~),
 libogg-dev,
 libopenal-dev,
 libpng-dev,
 libsdl2-dev (>= 2.0.2),
 libvorbis-dev,
 libwxgtk3.0-dev | libwxgtk2.8-dev,
 libxcursor-dev,
 libxml2-dev,
 pkg-config,
 python,
 python3,
 zlib1g-dev
Standards-Version: 3.9.8
Homepage: http://play0ad.com/
Vcs-Git: https://anonscm.debian.org/git/pkg-games/0ad.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-games/0ad.git

Package: 0ad
Architecture: amd64 i386 armhf
Pre-Depends: dpkg (>= 1.15.6~)
Depends:
 0ad-data (>= ${source:Upstream-Version}),
 0ad-data (<= ${source:Version}),
 0ad-data-common (>= ${source:Upstream-Version}),
 0ad-data-common (<= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: Real-time strategy game of ancient warfare
 0 A.D. (pronounced "zero ey-dee") is a free, open-source, cross-platform
 real-time strategy (RTS) game of ancient warfare. In short, it is a
 historically-based war/economy game that allows players to relive or rewrite
 the history of Western civilizations, focusing on the years between 500 B.C.
 and 500 A.D. The project is highly ambitious, involving state-of-the-art 3D
 graphics, detailed artwork, sound, and a flexible and powerful custom-built
 game engine.

=== debian/rules ===
#!/usr/bin/make -f

# mozjs' build process does not seem to be compatible with other shells
# like zsh
export SHELL = /bin/sh

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/dpkg/architecture.mk

PARALLEL_JOBS=$(shell getconf _NPROCESSORS_ONLN)
ifeq ($(findstring parallel=,$(DEB_BUILD_OPTIONS)),)
	export DEB_BUILD_OPTIONS+=parallel=$(PARALLEL_JOBS)
endif

%:
	dh $@

override_dh_auto_clean:
	build/workspaces/clean-workspaces.sh
	# Clean up some extra cruft not picked up by clean-workspaces.sh
	find binaries/system/ -type f ! -name readme.txt -delete
	rm -f libraries/fcollada/lib/*.a
	rm -f build/premake/.*.tmp
	rm -f libraries/source/spidermonkey/lib/*
	rm -f libraries/source/cxxtest-4.4/python/cxxtest/*.pyc
	rm -f libraries/source/fcollada/lib/*
	rm -rf libraries/source/spidermonkey/include-unix-*
	rm -f source/ps/tests/stub_impl_hack.cpp
	dh_auto_clean

override_dh_auto_build:
	build/workspaces/update-workspaces.sh \
		--bindir=/usr/games \
		--libdir=/usr/lib/games/0ad \
		--datadir=/usr/share/games/0ad \
		--with-system-nvtt \
		-j$(PARALLEL_JOBS)

	$(MAKE) config=release verbose=1 -C build/workspaces/gcc \
		-j$(PARALLEL_JOBS)

override_dh_auto_test:
	# Note: Avoid running tests from root dir of build, otherwise certain
	# tests (i.e. in testsuite MeshManager) may not work as intended and
	# create spurious directories above root dir (../data/mods).
ifeq (,$(filter arm64, $(DEB_HOST_ARCH)))
	cd binaries/system/ && LD_LIBRARY_PATH=. ./test -libdir .
endif

override_dh_auto_install:
	install -Dm 0755 build/resources/0ad.sh $(CURDIR)/debian/tmp/usr/games/0ad
	dh_auto_install

override_dh_strip:
	dh_strip --dbgsym-migration='0ad-dbg (<< 0.0.20-2~)'

override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/games/0ad

## 0ad 0.0.23

=== python/requests/requirements.txt ===
py==1.4.12
pytest==2.3.4
pytest-cov==1.6
wheel

=== debian/changelog ===
0ad (0.0.23-0.1~mx15+1) mx; urgency=medium

  * Rebuild for MX 15.
  * debian/control: minimum version of Boost libs is now 1.57.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 18 May 2018 14:34:04 -0700

0ad (0.0.23~rc3-0ubuntu1~17.10~wfg0) artful; urgency=high

  * New upstream version (Alpha 23 Ken Wood)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 16 May 2018 15:38:53 +0200

=== debian/rules ===
--- 
+++ 
@@ -10,13 +10,12 @@
 
 include /usr/share/dpkg/architecture.mk
 
-PARALLEL_JOBS=$(shell getconf _NPROCESSORS_ONLN)
 ifeq ($(findstring parallel=,$(DEB_BUILD_OPTIONS)),)
-	export DEB_BUILD_OPTIONS+=parallel=$(PARALLEL_JOBS)
+	export DEB_BUILD_OPTIONS+=parallel=$(shell getconf _NPROCESSORS_ONLN)
 endif
 
 %:
-	dh $@
+	dh $@ --parallel
 
 override_dh_auto_clean:
 	build/workspaces/clean-workspaces.sh
@@ -36,17 +35,16 @@
 		--bindir=/usr/games \
 		--libdir=/usr/lib/games/0ad \
 		--datadir=/usr/share/games/0ad \
-		--with-system-nvtt \
-		-j$(PARALLEL_JOBS)
+		--with-system-mozjs38 \
+		--with-system-nvtt
 
-	$(MAKE) config=release verbose=1 -C build/workspaces/gcc \
-		-j$(PARALLEL_JOBS)
+	$(MAKE) config=release verbose=1 -j2 -C build/workspaces/gcc
 
 override_dh_auto_test:
 	# Note: Avoid running tests from root dir of build, otherwise certain
 	# tests (i.e. in testsuite MeshManager) may not work as intended and
 	# create spurious directories above root dir (../data/mods).
-ifeq (,$(filter arm64, $(DEB_HOST_ARCH)))
+ifeq (,$(filter armhf arm64, $(DEB_HOST_ARCH)))
 	cd binaries/system/ && LD_LIBRARY_PATH=. ./test -libdir .
 endif

## 0ad 0.0.23.1

=== build/premake/premake5/build/gmake.bsd/Makefile ===
# GNU Make workspace makefile autogenerated by Premake

ifndef config
  config=release
endif

ifndef verbose
  SILENT = @
endif

ifeq ($(config),release)
  Premake5_config = release
  lua_lib_config = release
  luashim_lib_config = release
  zlib_lib_config = release
  zip_lib_config = release
  mbedtls_lib_config = release
  curl_lib_config = release
  example_config = release
endif
ifeq ($(config),debug)
  Premake5_config = debug
  lua_lib_config = debug
  luashim_lib_config = debug
  zlib_lib_config = debug
  zip_lib_config = debug
  mbedtls_lib_config = debug
  curl_lib_config = debug
  example_config = debug
endif

PROJECTS := Premake5 lua-lib luashim-lib zlib-lib zip-lib mbedtls-lib curl-lib example

.PHONY: all clean help $(PROJECTS) contrib Binary Modules

all: $(PROJECTS)

contrib: curl-lib lua-lib luashim-lib mbedtls-lib zip-lib zlib-lib

Binary Modules: example

Premake5: lua-lib zip-lib zlib-lib curl-lib mbedtls-lib
ifneq (,$(Premake5_config))
	@echo "==== Building Premake5 ($(Premake5_config)) ===="
	@${MAKE} --no-print-directory -C . -f Premake5.make config=$(Premake5_config)
endif

lua-lib:
ifneq (,$(lua_lib_config))
	@echo "==== Building lua-lib ($(lua_lib_config)) ===="
	@${MAKE} --no-print-directory -C . -f lua-lib.make config=$(lua_lib_config)
endif

luashim-lib:
ifneq (,$(luashim_lib_config))
	@echo "==== Building luashim-lib ($(luashim_lib_config)) ===="
	@${MAKE} --no-print-directory -C . -f luashim-lib.make config=$(luashim_lib_config)
endif

zlib-lib:
ifneq (,$(zlib_lib_config))
	@echo "==== Building zlib-lib ($(zlib_lib_config)) ===="
	@${MAKE} --no-print-directory -C . -f zlib-lib.make config=$(zlib_lib_config)
endif

zip-lib:
ifneq (,$(zip_lib_config))
	@echo "==== Building zip-lib ($(zip_lib_config)) ===="
	@${MAKE} --no-print-directory -C . -f zip-lib.make config=$(zip_lib_config)
endif

mbedtls-lib:
ifneq (,$(mbedtls_lib_config))
	@echo "==== Building mbedtls-lib ($(mbedtls_lib_config)) ===="
	@${MAKE} --no-print-directory -C . -f mbedtls-lib.make config=$(mbedtls_lib_config)
endif

curl-lib:
ifneq (,$(curl_lib_config))
	@echo "==== Building curl-lib ($(curl_lib_config)) ===="
	@${MAKE} --no-print-directory -C . -f curl-lib.make config=$(curl_lib_config)
endif

example: luashim-lib
ifneq (,$(example_config))
	@echo "==== Building example ($(example_config)) ===="
	@${MAKE} --no-print-directory -C . -f example.make config=$(example_config)
endif

clean:
	@${MAKE} --no-print-directory -C . -f Premake5.make clean
	@${MAKE} --no-print-directory -C . -f lua-lib.make clean
	@${MAKE} --no-print-directory -C . -f luashim-lib.make clean
	@${MAKE} --no-print-directory -C . -f zlib-lib.make clean
	@${MAKE} --no-print-directory -C . -f zip-lib.make clean
	@${MAKE} --no-print-directory -C . -f mbedtls-lib.make clean
	@${MAKE} --no-print-directory -C . -f curl-lib.make clean
	@${MAKE} --no-print-directory -C . -f example.make clean

help:
	@echo "Usage: make [config=name] [target]"
	@echo ""
	@echo "CONFIGURATIONS:"
	@echo "  release"
	@echo "  debug"
	@echo ""
	@echo "TARGETS:"
	@echo "   all (default)"
	@echo "   clean"
	@echo "   Premake5"
	@echo "   lua-lib"
	@echo "   luashim-lib"
	@echo "   zlib-lib"
	@echo "   zip-lib"
	@echo "   mbedtls-lib"
	@echo "   curl-lib"
	@echo "   example"
	@echo ""
	@echo "For more information, see http://industriousone.com/premake/quick-start"

=== build/premake/premake5/build/gmake.macosx/Makefile ===
# GNU Make workspace makefile autogenerated by Premake

ifndef config
  config=release
endif

ifndef verbose
  SILENT = @
endif

ifeq ($(config),release)
  Premake5_config = release
  lua_lib_config = release
  luashim_lib_config = release
  zlib_lib_config = release
  zip_lib_config = release
  mbedtls_lib_config = release
  curl_lib_config = release
  example_config = release
endif
ifeq ($(config),debug)
  Premake5_config = debug
  lua_lib_config = debug
  luashim_lib_config = debug
  zlib_lib_config = debug
  zip_lib_config = debug
  mbedtls_lib_config = debug
  curl_lib_config = debug
  example_config = debug
endif

PROJECTS := Premake5 lua-lib luashim-lib zlib-lib zip-lib mbedtls-lib curl-lib example

.PHONY: all clean help $(PROJECTS) contrib Binary Modules

all: $(PROJECTS)

contrib: curl-lib lua-lib luashim-lib mbedtls-lib zip-lib zlib-lib

Binary Modules: example

Premake5: lua-lib zip-lib zlib-lib curl-lib
ifneq (,$(Premake5_config))
	@echo "==== Building Premake5 ($(Premake5_config)) ===="
	@${MAKE} --no-print-directory -C . -f Premake5.make config=$(Premake5_config)
endif

lua-lib:
ifneq (,$(lua_lib_config))
	@echo "==== Building lua-lib ($(lua_lib_config)) ===="
	@${MAKE} --no-print-directory -C . -f lua-lib.make config=$(lua_lib_config)
endif

luashim-lib:
ifneq (,$(luashim_lib_config))
	@echo "==== Building luashim-lib ($(luashim_lib_config)) ===="
	@${MAKE} --no-print-directory -C . -f luashim-lib.make config=$(luashim_lib_config)
endif

zlib-lib:
ifneq (,$(zlib_lib_config))
	@echo "==== Building zlib-lib ($(zlib_lib_config)) ===="
	@${MAKE} --no-print-directory -C . -f zlib-lib.make config=$(zlib_lib_config)
endif

zip-lib:
ifneq (,$(zip_lib_config))
	@echo "==== Building zip-lib ($(zip_lib_config)) ===="
	@${MAKE} --no-print-directory -C . -f zip-lib.make config=$(zip_lib_config)
endif

mbedtls-lib:
ifneq (,$(mbedtls_lib_config))
	@echo "==== Building mbedtls-lib ($(mbedtls_lib_config)) ===="
	@${MAKE} --no-print-directory -C . -f mbedtls-lib.make config=$(mbedtls_lib_config)
endif

curl-lib:
ifneq (,$(curl_lib_config))
	@echo "==== Building curl-lib ($(curl_lib_config)) ===="
	@${MAKE} --no-print-directory -C . -f curl-lib.make config=$(curl_lib_config)
endif

example: luashim-lib
ifneq (,$(example_config))
	@echo "==== Building example ($(example_config)) ===="
	@${MAKE} --no-print-directory -C . -f example.make config=$(example_config)
endif

clean:
	@${MAKE} --no-print-directory -C . -f Premake5.make clean
	@${MAKE} --no-print-directory -C . -f lua-lib.make clean
	@${MAKE} --no-print-directory -C . -f luashim-lib.make clean
	@${MAKE} --no-print-directory -C . -f zlib-lib.make clean
	@${MAKE} --no-print-directory -C . -f zip-lib.make clean
	@${MAKE} --no-print-directory -C . -f mbedtls-lib.make clean
	@${MAKE} --no-print-directory -C . -f curl-lib.make clean
	@${MAKE} --no-print-directory -C . -f example.make clean

help:
	@echo "Usage: make [config=name] [target]"
	@echo ""
	@echo "CONFIGURATIONS:"
	@echo "  release"
	@echo "  debug"
	@echo ""
	@echo "TARGETS:"
	@echo "   all (default)"
	@echo "   clean"
	@echo "   Premake5"
	@echo "   lua-lib"
	@echo "   luashim-lib"
	@echo "   zlib-lib"
	@echo "   zip-lib"
	@echo "   mbedtls-lib"
	@echo "   curl-lib"
	@echo "   example"
	@echo ""
	@echo "For more information, see http://industriousone.com/premake/quick-start"

=== build/premake/premake5/contrib/mbedtls/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project("mbed TLS" C)

option(USE_PKCS11_HELPER_LIBRARY "Build mbed TLS with the pkcs11-helper library." OFF)
option(ENABLE_ZLIB_SUPPORT "Build mbed TLS with zlib library." OFF)

option(ENABLE_PROGRAMS "Build mbed TLS programs." ON)


# the test suites currently have compile errors with MSVC
if(MSVC)
    option(ENABLE_TESTING "Build mbed TLS tests." OFF)
else()
    option(ENABLE_TESTING "Build mbed TLS tests." ON)
endif()

set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE}
    CACHE STRING "Choose the type of build: None Debug Release Coverage ASan ASanDbg MemSan MemSanDbg Check CheckFull"
    FORCE)

string(REGEX MATCH "Clang" CMAKE_COMPILER_IS_CLANG "${CMAKE_C_COMPILER_ID}")

if(CMAKE_COMPILER_IS_GNUCC)
    # some warnings we want are not available with old GCC versions
    # note: starting with CMake 2.8 we could use CMAKE_C_COMPILER_VERSION
    execute_process(COMMAND ${CMAKE_C_COMPILER} -dumpversion
                    OUTPUT_VARIABLE GCC_VERSION)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra -W -Wdeclaration-after-statement -Wwrite-strings")
    if (GCC_VERSION VERSION_GREATER 4.5 OR GCC_VERSION VERSION_EQUAL 4.5)
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wlogical-op")
    endif()
    if (GCC_VERSION VERSION_GREATER 4.8 OR GCC_VERSION VERSION_EQUAL 4.8)
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wshadow")
    endif()
    set(CMAKE_C_FLAGS_RELEASE     "-O2")
    set(CMAKE_C_FLAGS_DEBUG       "-O0 -g3")
    set(CMAKE_C_FLAGS_COVERAGE    "-O0 -g3 --coverage")
    set(CMAKE_C_FLAGS_ASAN        "-Werror -fsanitize=address -fno-common -O3")
    set(CMAKE_C_FLAGS_ASANDBG     "-Werror -fsanitize=address -fno-common -O1 -g3 -fno-omit-frame-pointer -fno-optimize-sibling-calls ")
    set(CMAKE_C_FLAGS_CHECK       "-Werror -Os")
    set(CMAKE_C_FLAGS_CHECKFULL   "${CMAKE_C_FLAGS_CHECK} -Wcast-qual")
endif(CMAKE_COMPILER_IS_GNUCC)

if(CMAKE_COMPILER_IS_CLANG)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra -W -Wdeclaration-after-statement -Wwrite-strings -Wpointer-arith -Wimplicit-fallthrough -Wshadow")
    set(CMAKE_C_FLAGS_RELEASE     "-O2")
    set(CMAKE_C_FLAGS_DEBUG       "-O0 -g3")
    set(CMAKE_C_FLAGS_COVERAGE    "-O0 -g3 --coverage")
    set(CMAKE_C_FLAGS_ASAN        "-Werror -fsanitize=address -fno-common -fsanitize=undefined -fno-sanitize-recover -O3")
    set(CMAKE_C_FLAGS_ASANDBG     "-Werror -fsanitize=address -fno-common -fsanitize=undefined -fno-sanitize-recover -O1 -g3 -fno-omit-frame-pointer -fno-optimize-sibling-calls ")
    set(CMAKE_C_FLAGS_MEMSAN      "-Werror -fsanitize=memory -O3")
    set(CMAKE_C_FLAGS_MEMSANDBG   "-Werror -fsanitize=memory -O1 -g3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -fsanitize-memory-track-origins=2")
    set(CMAKE_C_FLAGS_CHECK       "-Werror -Os")
endif(CMAKE_COMPILER_IS_CLANG)

if(MSVC)
    set(CMAKE_C_FLAGS_CHECK       "/WX")
endif(MSVC)

if(CMAKE_BUILD_TYPE STREQUAL "Coverage")
    if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_CLANG)
        set(CMAKE_SHARED_LINKER_FLAGS "--coverage")
    endif(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_CLANG)
endif(CMAKE_BUILD_TYPE STREQUAL "Coverage")

if(LIB_INSTALL_DIR)
else()
    set(LIB_INSTALL_DIR lib)
endif()

include_directories(include/)

if(ENABLE_ZLIB_SUPPORT)
    find_package(ZLIB)

    if(ZLIB_FOUND)
        include_directories(${ZLIB_INCLUDE_DIR})
    endif(ZLIB_FOUND)
endif(ENABLE_ZLIB_SUPPORT)

add_subdirectory(library)
add_subdirectory(include)

if(ENABLE_PROGRAMS)
    add_subdirectory(programs)
endif()

# targets for doxygen only work on Unix
if(UNIX)
    ADD_CUSTOM_TARGET(apidoc
        COMMAND mkdir -p apidoc
        COMMAND cp include/mbedtls/config.h include/mbedtls/config.h.bak
        COMMAND scripts/config.pl realfull
        COMMAND doxygen doxygen/mbedtls.doxyfile
        COMMAND mv include/mbedtls/config.h.bak include/mbedtls/config.h
        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})

    ADD_CUSTOM_TARGET(apidoc_clean
        COMMAND rm -rf apidoc
        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
endif(UNIX)

if(ENABLE_TESTING)
    enable_testing()

    add_subdirectory(tests)

    # additional convenience targets for Unix only
    if(UNIX)

        ADD_CUSTOM_TARGET(covtest
            COMMAND make test
            COMMAND programs/test/selftest
            COMMAND tests/compat.sh
            COMMAND tests/ssl-opt.sh
        )

        ADD_CUSTOM_TARGET(lcov
            COMMAND rm -rf Coverage
            COMMAND lcov --capture --initial --directory library/CMakeFiles/mbedtls.dir -o files.info
            COMMAND lcov --capture --directory library/CMakeFiles/mbedtls.dir -o tests.info
            COMMAND lcov --add-tracefile files.info --add-tracefile tests.info -o all.info
            COMMAND lcov --remove all.info -o final.info '*.h'
            COMMAND gendesc tests/Descriptions.txt -o descriptions
            COMMAND genhtml --title "mbed TLS" --description-file descriptions --keep-descriptions --legend --no-branch-coverage -o Coverage final.info
            COMMAND rm -f files.info tests.info all.info final.info descriptions
        )

        ADD_CUSTOM_TARGET(memcheck
            COMMAND sed -i.bak s+/usr/bin/valgrind+`which valgrind`+ DartConfiguration.tcl
            COMMAND ctest -O memcheck.log -D ExperimentalMemCheck
            COMMAND tail -n1 memcheck.log | grep 'Memory checking results:' > /dev/null
            COMMAND rm -f memcheck.log
            COMMAND mv DartConfiguration.tcl.bak DartConfiguration.tcl
        )
    endif(UNIX)
endif()

=== libraries/source/cxxtest-4.4/test/unit/SConstruct ===
CxxTestBuilder_path = '../../build_tools/SCons/cxxtest.py'
CxxTest_dir = '../..'

# First a little python magic to pull in CxxTestBuilder
import imp
cxxtest = imp.load_source('cxxtest', CxxTestBuilder_path)
env = Environment()
cxxtest.generate(env, CXXTEST_INSTALL_DIR=CxxTest_dir)

for test in env.Glob('*.t.h'):
  env.CxxTest(test)

=== libraries/source/nvtt/src/src/CMakeLists.txt ===

SUBDIRS(nvcore)
SUBDIRS(nvmath)
SUBDIRS(nvimage)
SUBDIRS(nvtt)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})

# initial variables
SET(GLUT TRUE CACHE BOOL "")
SET(GLEW TRUE CACHE BOOL "")
SET(CG TRUE CACHE BOOL "")
SET(CUDA TRUE CACHE BOOL "")
SET(OPENEXR TRUE CACHE BOOL "")
SET(JPEG TRUE CACHE BOOL "")
SET(PNG TRUE CACHE BOOL "")
SET(TIFF TRUE CACHE BOOL "")

# OpenGL
INCLUDE(FindOpenGL)
IF(OPENGL_FOUND)
	MESSAGE(STATUS "Looking for OpenGL - found")
ELSE(OPENGL_FOUND)
	MESSAGE(STATUS "Looking for OpenGL - not found")
ENDIF(OPENGL_FOUND)

# GLUT
IF(GLUT)
	INCLUDE(${NV_CMAKE_DIR}/FindGLUT.cmake)
	#INCLUDE(FindGLUT)
	IF(GLUT_FOUND)
		MESSAGE(STATUS "Looking for GLUT - found")
	ELSE(GLUT_FOUND)
		MESSAGE(STATUS "Looking for GLUT - not found")
	ENDIF(GLUT_FOUND)
ENDIF(GLUT)

# DirectX
INCLUDE(${NV_CMAKE_DIR}/FindDirectX.cmake)
IF(DX10_FOUND)
	MESSAGE(STATUS "Looking for DirectX - found")
ELSE(DX10_FOUND)
	MESSAGE(STATUS "Looking for DirectX - not found")
ENDIF(DX10_FOUND)

# GLEW
IF(GLEW)
	INCLUDE(${NV_CMAKE_DIR}/FindGLEW.cmake)
	IF(GLEW_FOUND)
		MESSAGE(STATUS "Looking for GLEW - found")
	ELSE(GLEW_FOUND)
		MESSAGE(STATUS "Looking for GLEW - not found")
	ENDIF(GLEW_FOUND)
ENDIF(GLEW)

# Cg
IF(CG)
	INCLUDE(${NV_CMAKE_DIR}/FindCg.cmake)
	IF(CG_FOUND)
		MESSAGE(STATUS "Looking for Cg - found")
	ELSE(CG_FOUND)
		MESSAGE(STATUS "Looking for Cg - not found")
	ENDIF(CG_FOUND)
ENDIF(CG)

# CUDA
IF(CUDA)
	INCLUDE(${NV_CMAKE_DIR}/FindCUDA.cmake)
	IF(CUDA_FOUND)
		SET(HAVE_CUDA ${CUDA_FOUND} CACHE BOOL "Set to TRUE if CUDA is found, FALSE otherwise")
		MESSAGE(STATUS "Looking for CUDA - found")
	ELSE(CUDA_FOUND)
		MESSAGE(STATUS "Looking for CUDA - not found")
	ENDIF(CUDA_FOUND)
ENDIF(CUDA)

# Maya
INCLUDE(${NV_CMAKE_DIR}/FindMaya.cmake)
IF(MAYA_FOUND)
	SET(HAVE_MAYA ${MAYA_FOUND} CACHE BOOL "Set to TRUE if Maya is found, FALSE otherwise")
	MESSAGE(STATUS "Looking for Maya - found")
ELSE(MAYA_FOUND)
	MESSAGE(STATUS "Looking for Maya - not found")
ENDIF(MAYA_FOUND)

# JPEG
IF(JPEG)
	INCLUDE(FindJPEG)
	IF(JPEG_FOUND)
		SET(HAVE_JPEG ${JPEG_FOUND} CACHE BOOL "Set to TRUE if JPEG is found, FALSE otherwise")
		MESSAGE(STATUS "Looking for JPEG - found")
	ELSE(JPEG_FOUND)
		MESSAGE(STATUS "Looking for JPEG - not found")
	ENDIF(JPEG_FOUND)
ENDIF(JPEG)

# PNG
IF(PNG)
	INCLUDE(FindPNG)
	IF(PNG_FOUND)
		SET(HAVE_PNG ${PNG_FOUND} CACHE BOOL "Set to TRUE if PNG is found, FALSE otherwise")
		MESSAGE(STATUS "Looking for PNG - found")
	ELSE(PNG_FOUND)
		MESSAGE(STATUS "Looking for PNG - not found")
	ENDIF(PNG_FOUND)
ENDIF(PNG)

# TIFF
IF(TIFF)
	INCLUDE(FindTIFF)
	IF(TIFF_FOUND)
		SET(HAVE_TIFF ${TIFF_FOUND} CACHE BOOL "Set to TRUE if TIFF is found, FALSE otherwise")
		MESSAGE(STATUS "Looking for TIFF - found")
	ELSE(TIFF_FOUND)
		MESSAGE(STATUS "Looking for TIFF - not found")
	ENDIF(TIFF_FOUND)
ENDIF(TIFF)

# OpenEXR
IF(OPENEXR)
	INCLUDE(${NV_CMAKE_DIR}/FindOpenEXR.cmake)
	IF(OPENEXR_FOUND)
		SET(HAVE_OPENEXR ${OPENEXR_FOUND} CACHE BOOL "Set to TRUE if OpenEXR is found, FALSE otherwise")
		MESSAGE(STATUS "Looking for OpenEXR - found")
	ELSE(OPENEXR_FOUND)
		MESSAGE(STATUS "Looking for OpenEXR - not found")
	ENDIF(OPENEXR_FOUND)
ENDIF(OPENEXR)

# Qt
# We don't actually use this and it requires having Qt4 installed, so why is this in here?
#FIND_PACKAGE(Qt4)

# Threads
FIND_PACKAGE(Threads REQUIRED)
MESSAGE(STATUS "Use thread library: ${CMAKE_THREAD_LIBS_INIT}")

# configuration file
INCLUDE(CheckIncludeFiles)

CHECK_INCLUDE_FILES(unistd.h HAVE_UNISTD_H)
CHECK_INCLUDE_FILES(stdarg.h HAVE_STDARG_H)
CHECK_INCLUDE_FILES(signal.h HAVE_SIGNAL_H)
CHECK_INCLUDE_FILES(execinfo.h HAVE_EXECINFO_H)
CHECK_INCLUDE_FILES(malloc.h HAVE_MALLOC_H)

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/nvconfig.h.in ${CMAKE_CURRENT_BINARY_DIR}/nvconfig.h)

#INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/nvconfig.h DESTINATION include)

=== libraries/source/cxxtest-4.4/build_tools/SCons/test/recursive_sources/SConstruct ===
env = Environment(toolpath=['../../'],tools=['default','cxxtest'])

env.CxxTest('joint_tests',['src/test_foo.t.h',['src/test_bar.t.h','src/requirement.cpp']])

=== libraries/source/nvtt/src/src/nvtt/squish/CMakeLists.txt ===
PROJECT(squish)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})

SET(SQUISH_SRCS
	fastclusterfit.cpp
	fastclusterfit.h
	weightedclusterfit.cpp
	weightedclusterfit.h
	colourblock.cpp
	colourblock.h
	colourfit.cpp
	colourfit.h
	colourset.cpp
	colourset.h
	config.h
	maths.cpp
	maths.h
	simd.h
	simd_sse.h
	simd_ve.h)

ADD_LIBRARY(squish STATIC ${SQUISH_SRCS})

IF("${CMAKE_CXX_COMPILER}" MATCHES "clang(\\+\\+)?$" OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
	SET(CMAKE_COMPILER_IS_CLANGXX 1)
ENDIF()

IF(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_CLANGXX)
	SET_TARGET_PROPERTIES(squish PROPERTIES COMPILE_FLAGS -fPIC)
ENDIF(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_CLANGXX)

=== debian/changelog ===
0ad (0.0.23.1-5) unstable; urgency=medium

  * Fix FTBFS with gcc-10. (Closes: #956967)
  * Avoid build-dep on unversioned python2. (Closes: #967118)
  * Cherrypick patch from upstream to add workaround for L3 cache detection on
    Ryzen 3000 series CPUs. (Closes: #949699)
  * Update to dh compat level 12.
  * Update Standards version to 4.5.0.
  * Add upstream metadata file.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 18 Aug 2020 02:48:00 -0700

0ad (0.0.23.1-4) unstable; urgency=medium

  * Team upload.
  * Re-upload source-only to enable migration to testing.

 -- Bruno Kleinert <fuddl@debian.org>  Mon, 05 Aug 2019 18:56:58 +0200

0ad (0.0.23.1-3) unstable; urgency=medium

  * Team upload.
  * Build against GTK 3 version of wxWidget. Replaced build dependency
    libwxgtk3.0-dev by libwxgtk3.0-gtk3-dev. (Closes: #933456)
  * Added NEWS.Debian to document a workaround for a known issue caused by the
    GTK 3 variant of wxWidget.

 -- Bruno Kleinert <fuddl@debian.org>  Sat, 03 Aug 2019 05:18:37 +0200

0ad (0.0.23.1-2) unstable; urgency=medium

  * d/control: version 0.0.23.1 also needs a new 0ad-data

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 09 Jan 2019 10:33:09 +0100

0ad (0.0.23.1-1) unstable; urgency=medium

  * New upstream release.
    - Re-release of 0 A.D. Alpha 23 Ken Wood
      https://play0ad.com/re-release-of-0-a-d-alpha-23-ken-wood/
  * d/control: change Depends: to use 0.0.23 since 0ad-data is unchanged.
  * Fix "Alpha 23 Lobby lag and other multiplayer issues" (Closes: #905470)

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 04 Jan 2019 11:18:19 +0100

0ad (0.0.23-1) unstable; urgency=medium

  * New upstream release.
    - Remove enable-hardening-relro.patch and armhf-wchar-signedness.patch;
      obsolete, applied upstream.
    - Remove create_empty_dirs.patch and move logic into debian/rules.
  * Add new build-dep on libsodium-dev (>= 1.0.14).
  * Restore all supported archs as of 0ad/0.0.21-2, i.e. arm64 and kfreebsd-*.
  * Update Standards version to 4.1.4, no changes required.

 -- Vincent Cheng <vcheng@debian.org>  Mon, 21 May 2018 23:38:30 -0700

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,18 @@
 Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Vincent Cheng <vcheng@debian.org>,
-  Ludovic Rousseau <rousseau@debian.org>
+Uploaders:
+ Vincent Cheng <vcheng@debian.org>,
+ Ludovic Rousseau <rousseau@debian.org>
 Build-Depends:
  autoconf,
- debhelper (>= 10),
+ debhelper-compat (= 12),
  dpkg-dev (>= 1.15.5),
  libboost-dev,
  libboost-filesystem-dev,
  libcurl4-gnutls-dev | libcurl4-dev,
  libenet-dev (>= 1.3),
- libgloox-dev (>= 1.0.9),
+ libgloox-dev (>= 1.0.10),
  libicu-dev,
  libminiupnpc-dev (>= 1.6),
  libnspr4-dev,
@@ -21,21 +22,23 @@
  libopenal-dev,
  libpng-dev,
  libsdl2-dev (>= 2.0.2),
+ libsodium-dev (>= 1.0.14),
  libvorbis-dev,
- libwxgtk3.0-dev | libwxgtk2.8-dev,
+ libwxgtk3.0-gtk3-dev,
  libxcursor-dev,
  libxml2-dev,
  pkg-config,
- python,
+ python2,
  python3,
  zlib1g-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.5.0
 Homepage: http://play0ad.com/
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/0ad.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-games/0ad.git
+Vcs-Git: https://salsa.debian.org/games-team/0ad.git
+Vcs-Browser: https://salsa.debian.org/games-team/0ad
+Rules-Requires-Root: no
 
 Package: 0ad
-Architecture: amd64 i386 armhf
+Architecture: amd64 arm64 armhf i386 kfreebsd-amd64 kfreebsd-i386
 Pre-Depends: dpkg (>= 1.15.6~)
 Depends:
  0ad-data (>= ${source:Upstream-Version}),
@@ -52,4 +55,3 @@
  and 500 A.D. The project is highly ambitious, involving state-of-the-art 3D
  graphics, detailed artwork, sound, and a flexible and powerful custom-built
  game engine.
-

=== debian/rules ===
--- 
+++ 
@@ -10,12 +10,13 @@
 
 include /usr/share/dpkg/architecture.mk
 
+PARALLEL_JOBS=$(shell getconf _NPROCESSORS_ONLN)
 ifeq ($(findstring parallel=,$(DEB_BUILD_OPTIONS)),)
-	export DEB_BUILD_OPTIONS+=parallel=$(shell getconf _NPROCESSORS_ONLN)
+	export DEB_BUILD_OPTIONS+=parallel=$(PARALLEL_JOBS)
 endif
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_clean:
 	build/workspaces/clean-workspaces.sh
@@ -31,20 +32,22 @@
 	dh_auto_clean
 
 override_dh_auto_build:
+	mkdir -p libraries/source/fcollada/lib
 	build/workspaces/update-workspaces.sh \
 		--bindir=/usr/games \
 		--libdir=/usr/lib/games/0ad \
 		--datadir=/usr/share/games/0ad \
-		--with-system-mozjs38 \
-		--with-system-nvtt
-
-	$(MAKE) config=release verbose=1 -j2 -C build/workspaces/gcc
+		--with-system-nvtt \
+		-j$(PARALLEL_JOBS)
+	
+	$(MAKE) config=release verbose=1 -C build/workspaces/gcc \
+		-j$(PARALLEL_JOBS)
 
 override_dh_auto_test:
 	# Note: Avoid running tests from root dir of build, otherwise certain
 	# tests (i.e. in testsuite MeshManager) may not work as intended and
 	# create spurious directories above root dir (../data/mods).
-ifeq (,$(filter armhf arm64, $(DEB_HOST_ARCH)))
+ifeq (,$(filter armhf arm64 kfreebsd-amd64 kfreebsd-i386, $(DEB_HOST_ARCH)))
 	cd binaries/system/ && LD_LIBRARY_PATH=. ./test -libdir .
 endif
 
@@ -57,4 +60,3 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -Xusr/lib/games/0ad
-

## 0ad 0.0.24b

=== debian/changelog ===
0ad (0.0.24b-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * d/rules: don't run dh_dwz to avoid FTBFS in Buster

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 11 Mar 2021 20:30:03 -0800

0ad (0.0.24b-1) experimental; urgency=medium

  [ Phil Morrell ]
  * New upstream release.
  * Drop upstreamed patches.
  * Update build-deps. (Closes: #936101, #975379)

  [ Ludovic Rousseau ]
  * version 0.0.24b
  * d/copyright: remove unused entry
    lintian: unused-file-paragraph-in-dep5-copyright paragraph at line 72
  * d/copyright: remove unused entry
    lintian: unused-file-paragraph-in-dep5-copyright paragraph at line 22
  * use embedded nvtt since version 2.1.0 is not yet in unstable
  * Fix "New upstream release 0.0.24" (Closes: #983408)

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 07 Mar 2021 10:53:17 +0100

=== debian/control ===
Source: 0ad
Section: games
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Vincent Cheng <vcheng@debian.org>,
           Ludovic Rousseau <rousseau@debian.org>
Build-Depends: autoconf,
               cargo,
               cmake,
               debhelper-compat (= 12),
               dpkg-dev (>= 1.15.5),
               libboost-dev,
               libboost-filesystem-dev,
               libcurl4-gnutls-dev | libcurl4-dev,
               libenet-dev (>= 1.3),
               libfmt-dev,
               libgloox-dev (>= 1.0.10),
               libicu-dev,
               libminiupnpc-dev (>= 1.6),
               libnspr4-dev,
               libogg-dev,
               libopenal-dev,
               libpng-dev,
               libsdl2-dev (>= 2.0.2),
               libsodium-dev (>= 1.0.14),
               libvorbis-dev,
               libwxgtk3.0-gtk3-dev,
               libxcursor-dev,
               libxml2-dev,
               pkg-config,
               python3,
               rustc,
               zlib1g-dev
Standards-Version: 4.5.0
Homepage: http://play0ad.com/
Vcs-Git: https://salsa.debian.org/games-team/0ad.git
Vcs-Browser: https://salsa.debian.org/games-team/0ad
Rules-Requires-Root: no

Package: 0ad
Architecture: amd64 arm64 armhf i386 kfreebsd-amd64 kfreebsd-i386
Pre-Depends: dpkg (>= 1.15.6~)
Depends: 0ad-data (<= ${source:Version}),
         0ad-data (>= ${source:Upstream-Version}),
         0ad-data-common (<= ${source:Version}),
         0ad-data-common (>= ${source:Upstream-Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Real-time strategy game of ancient warfare
 0 A.D. (pronounced "zero ey-dee") is a free, open-source, cross-platform
 real-time strategy (RTS) game of ancient warfare. In short, it is a
 historically-based war/economy game that allows players to relive or rewrite
 the history of Western civilizations, focusing on the years between 500 B.C.
 and 500 A.D. The project is highly ambitious, involving state-of-the-art 3D
 graphics, detailed artwork, sound, and a flexible and powerful custom-built
 game engine.

=== debian/rules ===
--- 
+++ 
@@ -37,7 +37,6 @@
 		--bindir=/usr/games \
 		--libdir=/usr/lib/games/0ad \
 		--datadir=/usr/share/games/0ad \
-		--with-system-nvtt \
 		-j$(PARALLEL_JOBS)
 	
 	$(MAKE) config=release verbose=1 -C build/workspaces/gcc \
@@ -56,7 +55,10 @@
 	dh_auto_install
 
 override_dh_strip:
-	dh_strip --dbgsym-migration='0ad-dbg (<< 0.0.20-2~)'
+	dh_strip --no-automatic-dbgsym
 
 override_dh_makeshlibs:
 	dh_makeshlibs -Xusr/lib/games/0ad
+
+# Buster's dwz can't handle it, so disabled
+override_dh_dwz:
